Subject: bug#27649: closed (Re: [bug#27649] Update man-db to 2.7.6.1)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Jul 2017 02:55:02 +0000

Your bug report

#27649: Update man-db to 2.7.6.1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27649: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27649
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#27649] Update man-db to 2.7.6.1
From: Leo Famulari <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Jul 2017 22:54:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jul 11, 2017 at 10:53:18PM +0200, Marius Bakke wrote:
> Leo Famulari <[email-masked]> writes:
> > +                       ;; Don't constrain ownership of system-wide cache files.
> > +                       ;; Otherwise creating the manpage database fails with
> > +                       ;; with man-db > 2.7.5.
> 
> Double 'with'. I'm not even sure the second sentence is necessary, YMMV :-)

It wasn't obvious to me that it should fail so I left it in, without
that extra 'with'.

Thanks for the review!

Subject: Update man-db to 2.7.6.1
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jul 2017 21:43:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This updates man-db to the latest release, 2.7.6.1.

I tested that the manual-database profile hook still works. For that, I
had to pass the new configuration option 'disable-cache-owner', or else
the test suite and manpage database generation would fail.

See this commit for more info (Separate cache owner from --enable-setuid
option):

https://git.savannah.gnu.org/cgit/man-db.git/commit/?id=0f8b5518949866075c25787bdc4e9c064597c21e
From 0d04028ca5781b0ddeb2ae843a60934050c6f959 Mon Sep 17 00:00:00 2001
From: Leo Famulari <[email-masked]>
Date: Mon, 10 Jul 2017 15:04:58 -0400
Subject: [PATCH] gnu: man-db: Update to 2.7.6.1 [fixes CVE-2015-1336].

* gnu/packages/man.scm (man-db): Update to 2.7.6.1.
[arguments]: Add '--disable-cache-owner' to #:configure-flags.
---
 gnu/packages/man.scm | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/man.scm b/gnu/packages/man.scm
index 101892a0a..0fdc69aea 100644
--- a/gnu/packages/man.scm
+++ b/gnu/packages/man.scm
@@ -57,14 +57,14 @@ a flexible and convenient way.")
 (define-public man-db
   (package
     (name "man-db")
-    (version "2.7.5")
+    (version "2.7.6.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://savannah/man-db/man-db-"
                                   version ".tar.xz"))
               (sha256
                (base32
-                "056a3il7agfazac12yggcg4gf412yq34k065im0cpfxbcw6xskaw"))))
+                "0gqgs4zc3r87apns0k5qp689p2ylxx2596s2mkmkxjjay99brv88"))))
     (build-system gnu-build-system)
     (arguments
      '(#:phases
@@ -93,7 +93,12 @@ a flexible and convenient way.")
              (xz    (assoc-ref %build-inputs "xz"))
              (util  (assoc-ref %build-inputs "util-linux")))
          ;; Invoke groff, less, gzip, bzip2, and xz directly from the store.
-         (append (list "--disable-setuid" ;; Disable setuid man user.
+         (append (list ;; Disable setuid man user.
+                       "--disable-setuid"
+                       ;; Don't constrain ownership of system-wide cache files.
+                       ;; Otherwise creating the manpage database fails with
+                       ;; with man-db > 2.7.5.
+                       "--disable-cache-owner"
                        (string-append "--with-pager=" less "/bin/less")
                        (string-append "--with-gzip=" gzip "/bin/gzip")
                        (string-append "--with-bzip2=" bzip2 "/bin/gzip")
-- 
2.13.2